Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.support.info
Class PreferencesInfoSupport

    java.lang.Object
      org.jboss.portal.portlet.support.info.PreferencesInfoSupport

All Implemented Interfaces:
  PreferencesInfo

    public class PreferencesInfoSupport

extends java.lang.Object
implements PreferencesInfo

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`PreferencesInfoSupport()`
`PreferencesInfoSupport(java.util.Map preferences)`

Method Summary
`void` | `addPreference(PreferenceInfoSupport preference)`
`void` | `addPreference(java.lang.String key)`
`void` | `addPreference(java.lang.String key, java.lang.Boolean readOnly)`
`java.util.Set` | `getKeys()` Return the immutable set of keys.
`PreferenceInfo` | `getPreference(java.lang.String key)` A preference specified by its key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferencesInfoSupport

    public PreferencesInfoSupport(java.util.Map preferences)

### PreferencesInfoSupport

    public PreferencesInfoSupport()

Method Detail

### getKeys

    public java.util.Set getKeys()

  Description copied from interface: `PreferencesInfo`
  Return the immutable set of keys.

  Specified by:
    `getKeys` in interface `PreferencesInfo`

### getPreference

    public PreferenceInfo getPreference(java.lang.String key)
                                 throws java.lang.IllegalArgumentException

  Description copied from interface: `PreferencesInfo`
  A preference specified by its key.

  Specified by:
    `getPreference` in interface `PreferencesInfo`
  Returns:
    the preference info or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the key is null

### addPreference

    public void addPreference(PreferenceInfoSupport preference)

### addPreference

    public void addPreference(java.lang.String key)

### addPreference

    public void addPreference(java.lang.String key,
                              java.lang.Boolean readOnly)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD